searchData={"items":[{"type":"module","title":"Statestores.Adapters.PostgresLookupAdapter","doc":"Implements the behavior defined in `Statestores.Adapters.LookupBehaviour` for MySql databases.","ref":"Statestores.Adapters.PostgresLookupAdapter.html"},{"type":"module","title":"Statestores.Adapters.PostgresProjectionAdapter","doc":"Implements the ProjectionBehaviour for Postgres, with dynamic table name support.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html"},{"type":"function","title":"Statestores.Adapters.PostgresProjectionAdapter.create_or_update_table/2","doc":"Dynamically creates or updates a table in the PostgreSQL database from a Protobuf module.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#create_or_update_table/2"},{"type":"function","title":"Parameters - Statestores.Adapters.PostgresProjectionAdapter.create_or_update_table/2","doc":"- `repo`: The module from the Ecto repository.\n- `protobuf_module`: The Elixir module generated from a Protobuf file.\n- `table_name`: Name of the table to be created or updated in the database.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#create_or_update_table/2-parameters"},{"type":"function","title":"Example - Statestores.Adapters.PostgresProjectionAdapter.create_or_update_table/2","doc":"iex> create_or_update_table(MyProtobufModule, \"my_table\")","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#create_or_update_table/2-example"},{"type":"function","title":"Statestores.Adapters.PostgresProjectionAdapter.query/4","doc":"Performs a raw query and returns the results.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#query/4"},{"type":"function","title":"Parameters - Statestores.Adapters.PostgresProjectionAdapter.query/4","doc":"- `repo`: The Ecto repository module.\n- `query`: The raw SQL query string with named parameters (e.g., :id).\n- `params`: A map of parameter values.\n\nReturns the result rows as a list of maps.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#query/4-parameters"},{"type":"function","title":"Examples - Statestores.Adapters.PostgresProjectionAdapter.query/4","doc":"iex> results = query(\"SELECT age, metadata FROM example WHERE id = :id\", %{id: \"value\"})\n  {:ok, [%{age: 30, metadata: \"example data\"}]}","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#query/4-examples"},{"type":"function","title":"Statestores.Adapters.PostgresProjectionAdapter.upsert/3","doc":"Performs an upsert (insert or update) of data in the table.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#upsert/3"},{"type":"function","title":"Parameters - Statestores.Adapters.PostgresProjectionAdapter.upsert/3","doc":"- `repo`: The Ecto repository module.\n- `protobuf_module`: The Elixir module generated from a Protobuf file.\n- `table_name`: Name of the table in the database.\n- `data`: Protobuf structure containing the data to be inserted or updated.\n\nReturns `:ok` on success.","ref":"Statestores.Adapters.PostgresProjectionAdapter.html#upsert/3-parameters"},{"type":"module","title":"Statestores.Adapters.PostgresSnapshotAdapter","doc":"Implements the behavior defined in `Statestores.Adapters.SnapshotBehaviour` for Postgres databases.","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.default_port/0","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#default_port/0"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.get_all_snapshots_by_key/1","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#get_all_snapshots_by_key/1"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.get_by_key/1","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#get_by_key/1"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.get_by_key_and_revision/2","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#get_by_key_and_revision/2"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.get_snapshots_by_interval/3","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#get_snapshots_by_interval/3"},{"type":"function","title":"Statestores.Adapters.PostgresSnapshotAdapter.save/1","doc":"","ref":"Statestores.Adapters.PostgresSnapshotAdapter.html#save/1"},{"type":"module","title":"Statestores.PostgresRepo","doc":"","ref":"Statestores.PostgresRepo.html"},{"type":"function","title":"Statestores.PostgresRepo.aggregate/3","doc":"","ref":"Statestores.PostgresRepo.html#aggregate/3"},{"type":"function","title":"Statestores.PostgresRepo.aggregate/4","doc":"","ref":"Statestores.PostgresRepo.html#aggregate/4"},{"type":"function","title":"Statestores.PostgresRepo.all/2","doc":"","ref":"Statestores.PostgresRepo.html#all/2"},{"type":"function","title":"Statestores.PostgresRepo.checked_out?/0","doc":"","ref":"Statestores.PostgresRepo.html#checked_out?/0"},{"type":"function","title":"Statestores.PostgresRepo.checkout/2","doc":"","ref":"Statestores.PostgresRepo.html#checkout/2"},{"type":"function","title":"Statestores.PostgresRepo.child_spec/1","doc":"","ref":"Statestores.PostgresRepo.html#child_spec/1"},{"type":"function","title":"Statestores.PostgresRepo.config/0","doc":"","ref":"Statestores.PostgresRepo.html#config/0"},{"type":"function","title":"Statestores.PostgresRepo.default_options/1","doc":"","ref":"Statestores.PostgresRepo.html#default_options/1"},{"type":"function","title":"Statestores.PostgresRepo.delete/2","doc":"","ref":"Statestores.PostgresRepo.html#delete/2"},{"type":"function","title":"Statestores.PostgresRepo.delete!/2","doc":"","ref":"Statestores.PostgresRepo.html#delete!/2"},{"type":"function","title":"Statestores.PostgresRepo.delete_all/2","doc":"","ref":"Statestores.PostgresRepo.html#delete_all/2"},{"type":"function","title":"Statestores.PostgresRepo.disconnect_all/2","doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","ref":"Statestores.PostgresRepo.html#disconnect_all/2"},{"type":"function","title":"Statestores.PostgresRepo.exists?/2","doc":"","ref":"Statestores.PostgresRepo.html#exists?/2"},{"type":"function","title":"Statestores.PostgresRepo.explain/3","doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","ref":"Statestores.PostgresRepo.html#explain/3"},{"type":"function","title":"Statestores.PostgresRepo.get/3","doc":"","ref":"Statestores.PostgresRepo.html#get/3"},{"type":"function","title":"Statestores.PostgresRepo.get!/3","doc":"","ref":"Statestores.PostgresRepo.html#get!/3"},{"type":"function","title":"Statestores.PostgresRepo.get_by/3","doc":"","ref":"Statestores.PostgresRepo.html#get_by/3"},{"type":"function","title":"Statestores.PostgresRepo.get_by!/3","doc":"","ref":"Statestores.PostgresRepo.html#get_by!/3"},{"type":"function","title":"Statestores.PostgresRepo.get_dynamic_repo/0","doc":"","ref":"Statestores.PostgresRepo.html#get_dynamic_repo/0"},{"type":"function","title":"Statestores.PostgresRepo.in_transaction?/0","doc":"","ref":"Statestores.PostgresRepo.html#in_transaction?/0"},{"type":"function","title":"Statestores.PostgresRepo.init/2","doc":"","ref":"Statestores.PostgresRepo.html#init/2"},{"type":"function","title":"Statestores.PostgresRepo.insert/2","doc":"","ref":"Statestores.PostgresRepo.html#insert/2"},{"type":"function","title":"Statestores.PostgresRepo.insert!/2","doc":"","ref":"Statestores.PostgresRepo.html#insert!/2"},{"type":"function","title":"Statestores.PostgresRepo.insert_all/3","doc":"","ref":"Statestores.PostgresRepo.html#insert_all/3"},{"type":"function","title":"Statestores.PostgresRepo.insert_or_update/2","doc":"","ref":"Statestores.PostgresRepo.html#insert_or_update/2"},{"type":"function","title":"Statestores.PostgresRepo.insert_or_update!/2","doc":"","ref":"Statestores.PostgresRepo.html#insert_or_update!/2"},{"type":"function","title":"Statestores.PostgresRepo.load/2","doc":"","ref":"Statestores.PostgresRepo.html#load/2"},{"type":"function","title":"Statestores.PostgresRepo.one/2","doc":"","ref":"Statestores.PostgresRepo.html#one/2"},{"type":"function","title":"Statestores.PostgresRepo.one!/2","doc":"","ref":"Statestores.PostgresRepo.html#one!/2"},{"type":"function","title":"Statestores.PostgresRepo.preload/3","doc":"","ref":"Statestores.PostgresRepo.html#preload/3"},{"type":"function","title":"Statestores.PostgresRepo.prepare_query/3","doc":"","ref":"Statestores.PostgresRepo.html#prepare_query/3"},{"type":"function","title":"Statestores.PostgresRepo.put_dynamic_repo/1","doc":"","ref":"Statestores.PostgresRepo.html#put_dynamic_repo/1"},{"type":"function","title":"Statestores.PostgresRepo.query/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","ref":"Statestores.PostgresRepo.html#query/3"},{"type":"function","title":"Statestores.PostgresRepo.query!/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","ref":"Statestores.PostgresRepo.html#query!/3"},{"type":"function","title":"Statestores.PostgresRepo.query_many/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","ref":"Statestores.PostgresRepo.html#query_many/3"},{"type":"function","title":"Statestores.PostgresRepo.query_many!/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","ref":"Statestores.PostgresRepo.html#query_many!/3"},{"type":"function","title":"Statestores.PostgresRepo.reload/2","doc":"","ref":"Statestores.PostgresRepo.html#reload/2"},{"type":"function","title":"Statestores.PostgresRepo.reload!/2","doc":"","ref":"Statestores.PostgresRepo.html#reload!/2"},{"type":"function","title":"Statestores.PostgresRepo.rollback/1","doc":"","ref":"Statestores.PostgresRepo.html#rollback/1"},{"type":"function","title":"Statestores.PostgresRepo.start_link/1","doc":"","ref":"Statestores.PostgresRepo.html#start_link/1"},{"type":"function","title":"Statestores.PostgresRepo.stop/1","doc":"","ref":"Statestores.PostgresRepo.html#stop/1"},{"type":"function","title":"Statestores.PostgresRepo.stream/2","doc":"","ref":"Statestores.PostgresRepo.html#stream/2"},{"type":"function","title":"Statestores.PostgresRepo.to_sql/2","doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","ref":"Statestores.PostgresRepo.html#to_sql/2"},{"type":"function","title":"Statestores.PostgresRepo.transaction/2","doc":"","ref":"Statestores.PostgresRepo.html#transaction/2"},{"type":"function","title":"Statestores.PostgresRepo.update/2","doc":"","ref":"Statestores.PostgresRepo.html#update/2"},{"type":"function","title":"Statestores.PostgresRepo.update!/2","doc":"","ref":"Statestores.PostgresRepo.html#update!/2"},{"type":"function","title":"Statestores.PostgresRepo.update_all/3","doc":"","ref":"Statestores.PostgresRepo.html#update_all/3"},{"type":"extras","title":"Statestores","doc":"# Statestores\n\n<!-- MDOC !-->\n\nSpawn Statestores Postgres is a storage lib for the Spawn Actors System","ref":"readme.html"},{"type":"extras","title":"Installation - Statestores","doc":"[Available in Hex](https://hex.pm/packages/spawn_statestores), the package can be installed\nby adding `statestores` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:spawn_statestores_postgres, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}